This publication contains scripts used in the DFT-Integrated ML approach for input parameter optimization in high-throughput ab initio computations. The application is demonstrated as well as the analysis presented. 
In the folder AiiDA-FLEURScripts/ two notebooks are contained which are responsible for: 
	a) Workflow submission with the AiiDA framework and the AiiDA-FLEUR plugin
	b) Data collection from the AiiDA database
	Neither of both notebooks will be operateable without proper modifications to the intended usecase and architecture. They are intended to serve as an example of the implementation of DFT-Integrated ML in practice. 
	
The folder Data/ contains data files containing magnetic, structural, and meta-data about the executed worklflows. This data files represent a reduced version of the published AiiDA database. 

The directory DataAnalysis/ contains scripts which have been used to perform an EDA and visualized results obtained in this study. 

The folder DFTIntMLAnalysis/ contains scripts which were used to analyze the impacts of DFT-integrated ML on convergence rate, required number of relaxation steps etc., however, some analysis of the magnetic properties is also included here. 

The directory DFTIntMLPredictions/ contains the script used for the predictive modeling of input parameters and XAI discussion as well as the actual predicted inputs. 
